Package csb :: Package statistics :: Module scalemixture :: Class ScaleMixturePrior

[frames] | no frames]

# Class ScaleMixturePrior

source code

    object --+
             |
            ScaleMixturePrior

Known Subclasses:
  - GammaPrior
  - , InvGammaPrior

Prior on the scales of a ScaleMixture, which determines how the scales are estimated.

Instance Methods

__init__(self, *args) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| estimator
| scale_estimator
Inherited from `object`: `__class__`

Method Details

### __init__(self, *args)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### estimator

Get Method:
  unreachable.estimator(self)
Set Method:
  unreachable.estimator(self, strategy)

### scale_estimator

Get Method:
  unreachable.scale_estimator(self)